micro_utils.dokka
0.15.1

# DoWithFirstBuilder

class DoWithFirstBuilder<T>(scope: CoroutineScope)

## Constructors

DoWithFirstBuilder
Link copied to clipboard
fun DoWithFirstBuilder(scope: CoroutineScope)

## Functions

add
Link copied to clipboard
inline fun add(noinline block: suspend CoroutineScope.() -> T)
build
Link copied to clipboard
fun build(): List<Deferred<T>>
include
Link copied to clipboard
inline fun include(noinline block: suspend CoroutineScope.() -> T)
plus
Link copied to clipboard
operator fun plus(block: suspend CoroutineScope.() -> T)